mpeg_ts.h File Reference
Digital TV table parsing

Provides the table parser for the MPEG-PES Elementary Stream. More...

`#include <stdint.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Data Structures

struct | dvb_mpeg_ts_adaption
| MPEG TS header adaption field. More...
struct | dvb_mpeg_ts
| MPEG TS header. More...

## Macros

#define | DVB_MPEG_TS
| MPEG Transport Stream magic.
#define | DVB_MPEG_TS_PACKET_SIZE
| Size of an MPEG packet.

## Functions

ssize_t | dvb_mpeg_ts_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, ssize_t buflen, uint8_t *table, ssize_t *table_length)
| Initialize a struct dvb_mpeg_ts from buffer.
void | dvb_mpeg_ts_free (struct dvb_mpeg_ts *ts)
| Deallocate memory associated with a struct dvb_mpeg_ts.
void | dvb_mpeg_ts_print (struct dvb_v5_fe_parms *parms, struct dvb_mpeg_ts *ts)
| Print details of struct dvb_mpeg_ts.

## Detailed Description

Provides the table parser for the MPEG-PES Elementary Stream.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Andre Roth

Relevant specs
  The table described herein is defined in ISO 13818-1

See also
  http://en.wikipedia.org/wiki/MPEG_transport_stream

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file mpeg_ts.h.